﻿using System;
using System.Collections.Generic;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Threading.Tasks;
using System.Windows;
using Stimulsoft.Report;
using StimulsoftValueType.BusinessObject;
using StimulsoftValueType.ValueType;

namespace StimulsoftValueType
{
    /// <summary>
    /// Interaction logic for App.xaml
    /// </summary>
    public partial class App : Application
    {
        protected override void OnStartup(StartupEventArgs e)
        {
            base.OnStartup(e);
            ButtonBase_OnClick();
        }
        
        private void ButtonBase_OnClick()
        {
            var lines = GenerateLines();

            var stiReport = StiReport.GetReport();
            stiReport.Load("report.mrt");
            stiReport.RegBusinessObject("ValueTypes", lines);
            stiReport.DesignWithWpf();
        }

        private static List<LineWithValueTypeReportDto> GenerateLines()
        {
            var lines = new List<LineWithValueTypeReportDto>
            {
                new LineWithValueTypeReportDto
                    {VatAmount = new Money(10, "EUR"), Amount = new Money(100, "EUR"), Identifier = "Line 1"},
                new LineWithValueTypeReportDto
                    {VatAmount = new Money(10, "EUR"), Amount = new Money(100, "EUR"), Identifier = "Line 2"},
                new LineWithValueTypeReportDto
                    {VatAmount = new Money(10, "EUR"), Amount = new Money(100, "EUR"), Identifier = "Line 3"},
                new LineWithValueTypeReportDto
                    {VatAmount = new Money(10, "EUR"), Amount = new Money(100, "EUR"), Identifier = "Line 4"}
            };
            return lines;
        }
    }
}
